/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  width: 100%;
  padding: 1em;
  box-sizing: border-box;
  display: flex;
  flex-flow: column;
  max-width: 70em;
  margin: 0 auto 0 auto;

  & > * {
    margin-bottom: 1em;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

.side-menu-button {
  width: 100%;

  & + & {
    margin-top: 1em;
  }
}

.title {
  margin-bottom: 1em;
}

.title--label {
  font-size: x-large;
  font-weight: 600;
}


.text-block-container {
  display: flex;
  width: 100%;
}

.pane {
  width: 50%;
  height: max(30em, calc(100vh - 20em));
  overflow: auto;
}

.pane---with-border {
  border-left: 1px solid $openk-form-border;
}
